Front Page News

General news and announcements


Page: 1 2 3 4 5 ()
DiscussionStarted byRepliesLast post
Pancake Breaky Tomorrow! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 28 Jun 2017, 10:13 AM
School Supplies - the easy way! A message from PAC Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 27 Jun 2017, 5:20 PM
Action Morning Cancelled on THURSDAY Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 27 Jun 2017, 4:18 PM
Grade 5 - Teacher Game -Come prepared to get wet! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 27 Jun 2017, 4:05 PM
LOST and FOUND Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 27 Jun 2017, 4:02 PM
Update on district email Picture of Brock Simmonds Brock Simmonds 0 Brock Simmonds
Mon, 19 Jun 2017, 8:39 AM
THANK YOU PAC Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 16 Jun 2017, 10:31 AM
Hand Washing Reminder! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 15 Jun 2017, 4:00 PM
A Message from Beacon Community Services Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 13 Jun 2017, 8:11 AM
Message from Superintendent of Schools Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 2 Jun 2017, 12:58 PM
A Message from your PAC Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 31 May 2017, 5:37 PM
Dr. Martin Brokenleg Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 26 May 2017, 12:46 PM
Thank You! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 25 May 2017, 2:31 PM
Homestay Students.... Read on for more information! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 24 May 2017, 4:27 PM
Reminder- Grade 5 Parent Meeting Tonight Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 24 May 2017, 6:27 AM
PAC Meeting Next Tuesday at 7 pm Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 23 May 2017, 3:59 PM
Please Help Keep Everyone Safe in our Parking Lot Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 23 May 2017, 10:34 AM
Budget Update from School Board Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 16 May 2017, 4:44 PM
Draw for free tickets to "Touch a Truck" Picture of Theresa Hait Theresa Hait 0 Theresa Hait
Tue, 16 May 2017, 3:28 PM
Let's Talk About Drugs Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 8 May 2017, 10:42 AM
Last Day to order Fun Lunch Today! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 5 May 2017, 9:46 AM
School Organization and Planning Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 20 Apr 2017, 5:40 PM
Parenting Programs - Boys and Girls Club - see link below Picture of Theresa Hait Theresa Hait 0 Theresa Hait
Thu, 13 Apr 2017, 9:15 AM
PCEC - 1000x5 Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 3 Apr 2017, 12:46 PM
No Action Morning This Week due to Resurfacing of Gym Floors Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 3 Apr 2017, 12:37 PM
Welcome Mrs. Hait Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 3 Apr 2017, 9:42 AM
Shopping and Fundraising??? A Message from your PAC! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 17 Mar 2017, 10:38 AM
Strong Start will be CLOSED TODAY. Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Mon, 13 Mar 2017, 11:57 AM
Strong Start Closed Today, Friday March 10th. Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Fri, 10 Mar 2017, 7:49 AM
Jump Rope Tomorrow Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 8 Mar 2017, 4:50 PM
Thank You - Merci Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 8 Mar 2017, 2:21 PM
Looking for Homestay Families Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 8 Mar 2017, 2:19 PM
Strong Start Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Wed, 8 Mar 2017, 9:54 AM
Non Instructional Day - Crafty Camp Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 1 Mar 2017, 9:34 AM
1:48 Pick up time tomorrow and Thursday Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 28 Feb 2017, 6:47 PM
PAC Meeting and Special Speakers Tomorrow Night! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 27 Feb 2017, 2:33 PM
Free Popcorn Day moved to March 15 Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 27 Feb 2017, 2:32 PM
Early Dismissal Dates Coming Up: Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Fri, 24 Feb 2017, 9:16 AM
Public Budget Meeting Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 21 Feb 2017, 12:40 PM
Be Kind Assembly Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 20 Feb 2017, 1:11 PM
Updated Panorama Spring Break Flyer Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 20 Feb 2017, 12:38 PM
Panoram Spring Break Flyer Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 16 Feb 2017, 10:31 AM
Grade 5 Brentwood to Bayside Transition Dates Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 15 Feb 2017, 11:36 AM
Our Fields are WET! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 9 Feb 2017, 2:33 PM
Feb 15th - Julie-Anne Richards Rescheduled Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 9 Feb 2017, 2:29 PM
Schools open today Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 9 Feb 2017, 6:15 AM
News about Schools due to weather Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 8 Feb 2017, 2:44 PM
Notice to Parents: 11:45 am, Wednesday Feb 8, 2017 Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 8 Feb 2017, 12:05 PM
Schools closed today! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 7 Feb 2017, 7:28 AM
Parent Night postponed due to weather tomorrow! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 6 Feb 2017, 1:52 PM
SchoolsClosed Today Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 6 Feb 2017, 8:18 AM
Bug Busting Tonight! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 2 Feb 2017, 9:15 AM
A message from your PAC President.... Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 1 Feb 2017, 2:04 PM
Looking for Host Families Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 31 Jan 2017, 2:32 PM
Reminder - Non-Instructional Day Monday Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 27 Jan 2017, 12:17 PM
Hot Lunch - a message from PAC Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 25 Jan 2017, 1:05 PM
2017-2018 School Calendar Proposal Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 20 Jan 2017, 4:13 PM
Julie Anne Richards on Managing Child and Youth Stress Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 19 Jan 2017, 10:47 AM
Literacy Day January Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 18 Jan 2017, 9:22 AM
Go Green Team Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 18 Jan 2017, 9:17 AM
Great News for Students in BC Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 12 Jan 2017, 9:05 AM
Fun Lunch - A message from PAC Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 11 Jan 2017, 2:42 PM
Family Literacy Day January 27 Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 11 Jan 2017, 10:11 AM
Community Message Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 9 Jan 2017, 3:19 PM
Parent Social Tickets - Have you got yours? Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 9 Jan 2017, 1:56 PM
Parenting Programs offered locally through Boys and Girls Club Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 6 Jan 2017, 11:37 AM
Peninsula Firefighters Christmas Food Drive - Saturday, December 17 Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Thu, 15 Dec 2016, 2:22 PM
Parent Volunteer for Tuesdays desperately needed! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 14 Dec 2016, 9:16 AM
Lost and Found Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 14 Dec 2016, 8:34 AM
Action Club Cancelled Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 12 Dec 2016, 3:35 PM
Morning Action Club Cancelled. Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Mon, 12 Dec 2016, 3:20 PM
Swim Club Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Thu, 8 Dec 2016, 12:00 PM
January 7th - Tree Chipping at Brentwood Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 7 Dec 2016, 3:24 PM
Tree Chipping - Brentwood School January 7 - 10-2 Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 7 Dec 2016, 2:41 PM
Food and Fund Drive..... Last couple days Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 7 Dec 2016, 9:27 AM
Morning Action Club CANCELLED next Tuesday, Wednesday and Thursday. Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Wed, 7 Dec 2016, 9:04 AM
Winter Weather Reminder Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 7 Dec 2016, 6:00 AM
Food and Fund Drive Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 1 Dec 2016, 9:12 AM
A message from Mrs. Alexander re: Winter Concert Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 1 Dec 2016, 9:12 AM
Lost and Found Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Thu, 24 Nov 2016, 9:08 AM
Winter Concert - December 13 and 14 th @ 6:30 pm Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 22 Nov 2016, 11:03 AM
Eye See...Eye Learn - Kindergarten Children Eligible for free Eye Exam and Glasses Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 21 Nov 2016, 4:07 PM
Understanding Mental Health - Jack Talks for Parents Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 21 Nov 2016, 2:18 PM
Brentwood School Takes Part in School District's Energy Challenge Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 21 Nov 2016, 10:58 AM
A few PAC reminders..... Daisy Shelley Hardcastle 0 Shelley Hardcastle
Mon, 21 Nov 2016, 9:15 AM
November 16th Last Day for Photo Orders Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Tue, 15 Nov 2016, 12:09 PM
Early Closure Wednesday, November 9th and Thursday November 10th. Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Tue, 8 Nov 2016, 8:36 AM
Action Morning Cancelled Wednesday and Thursday Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 8 Nov 2016, 7:56 AM
Poinsettias On Sale Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 4 Nov 2016, 3:56 PM
Understanding Mental Health Parent Workshop - Free! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 4 Nov 2016, 12:21 PM
Grade 5 Parent Meeting Re: Camp Daisy Shelley Hardcastle 0 Shelley Hardcastle
Tue, 1 Nov 2016, 11:03 AM
Thank you PAC and Gary Moss! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 27 Oct 2016, 3:48 PM
Update on Drinking Water Initiatives in Saanich Schools Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 27 Oct 2016, 3:47 PM
THANK YOU IRIDE Daisy Shelley Hardcastle 0 Shelley Hardcastle
Thu, 27 Oct 2016, 10:32 AM
Family Dance Tonight 5-7 Daisy Shelley Hardcastle 0 Shelley Hardcastle
Wed, 26 Oct 2016, 9:49 AM
Bug Busting Night is Coming Up! Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Tue, 25 Oct 2016, 3:05 PM
Photo Orders Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Tue, 18 Oct 2016, 11:34 AM
Power back on! Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 14 Oct 2016, 8:02 AM
Power out - school open Daisy Shelley Hardcastle 0 Shelley Hardcastle
Fri, 14 Oct 2016, 7:27 AM
Power out at Brentwood School Picture of Linda Tweedhope Linda Tweedhope 0 Linda Tweedhope
Fri, 14 Oct 2016, 7:26 AM
Page: 1 2 3 4 5 ()